# theme library

## Classes

TupleTheme
  Stores themeData and it's name

## Properties

appThemeDarkBlue → ThemeData
  final
appThemeDarkGreen → ThemeData
  final
appThemeDarkPurple → ThemeData
  final
appThemeDarkRed → ThemeData
  final
appThemeDarkYellow → ThemeData
  final
appThemeLightBlue → ThemeData
  final
appThemeLightGreen → ThemeData
  final
appThemeLightPurple → ThemeData
  final
appThemeLightRed → ThemeData
  final
appThemeLightYellow → ThemeData
  final
background ↔ Color
  read / write
cyberpunkTheme → ThemeData
  final
defaultTheme → TupleTheme
  final
foreground ↔ Color
  read / write
ThemeNames → List <TupleTheme>
  final

## Functions

generateTheme (bool isDark, MaterialColor color) → ThemeData
  Returns constant theme
getCurrentTheme () → Future <TupleTheme>
  Returns name of current theme
getThemeByName (String name) → ThemeData
  Returns themeData by name